import { AfterContentInit, AfterViewInit, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { SelectableSettings, SelectableMode, CellClickEvent, GridComponent } from '@progress/kendo-angular-grid';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
export declare class LibGridComponent implements AfterContentInit, OnChanges, AfterViewInit {
    templateRef: TemplateRef<any> | null;
    detailTemplate: TemplateRef<any> | null;
    impactColumn: TemplateRef<any> | null;
    grid: GridComponent;
    gridData: any;
    columnData: any;
    pageSize: number;
    pageable: boolean;
    sortable: boolean;
    groupable: boolean;
    reorderable: boolean;
    resizable: boolean;
    checkBoxWidth: number;
    checkBoxColumnResizable: boolean;
    checkBoxColumnMenu: boolean;
    checkBoxColumnShowSelectedAll: boolean;
    checkBoxRequired: boolean;
    columnMenu: boolean;
    mode: SelectableMode | undefined;
    checkboxOnly: boolean;
    dragColumns: boolean;
    navigable: boolean;
    height: number;
    gridRowSelectByValue: string;
    noRecordsContent: string;
    selectedRowData: EventEmitter<any[]>;
    showToolbar: boolean;
    extractDataItems: any;
    selectableSettings: SelectableSettings;
    kebabList: any;
    showKebab: boolean;
    rowDetails: EventEmitter<any[]>;
    kebabItemClick: EventEmitter<any>;
    icon: SVGIcon;
    kebabColumnWidth: number;
    data: any;
    rowDataOfClickedCell: EventEmitter<any>;
    preSelected: any[];
    preSelectedRecords: any[];
    ignoreColumnCellClick: number[];
    allowColumnClick: boolean;
    arrowDownIcon: SVGIcon;
    arrowUpIcon: SVGIcon;
    expandRowIndex: number[];
    customExpandRowColumn: boolean;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    setSelectableSettings(): void;
    onSelectionChange(args: any): any;
    onKebabClick(item: any, rowDetails: any): void;
    onDetailExpand(rowData: any): void;
    cellClickHandler(args: CellClickEvent): void;
    expandRow(id: number): void;
    collapseRow(id: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibGridComponent, "lib-grid", never, { "gridData": { "alias": "gridData"; "required": false; }; "columnData": { "alias": "columnData"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "pageable": { "alias": "pageable"; "required": false; }; "sortable": { "alias": "sortable"; "required": false; }; "groupable": { "alias": "groupable"; "required": false; }; "reorderable": { "alias": "reorderable"; "required": false; }; "resizable": { "alias": "resizable"; "required": false; }; "checkBoxWidth": { "alias": "checkBoxWidth"; "required": false; }; "checkBoxColumnResizable": { "alias": "checkBoxColumnResizable"; "required": false; }; "checkBoxColumnMenu": { "alias": "checkBoxColumnMenu"; "required": false; }; "checkBoxColumnShowSelectedAll": { "alias": "checkBoxColumnShowSelectedAll"; "required": false; }; "checkBoxRequired": { "alias": "checkBoxRequired"; "required": false; }; "columnMenu": { "alias": "columnMenu"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "checkboxOnly": { "alias": "checkboxOnly"; "required": false; }; "dragColumns": { "alias": "dragColumns"; "required": false; }; "navigable": { "alias": "navigable"; "required": false; }; "height": { "alias": "height"; "required": false; }; "gridRowSelectByValue": { "alias": "gridRowSelectByValue"; "required": false; }; "noRecordsContent": { "alias": "noRecordsContent"; "required": false; }; "showToolbar": { "alias": "showToolbar"; "required": false; }; "kebabList": { "alias": "kebabList"; "required": false; }; "showKebab": { "alias": "showKebab"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "kebabColumnWidth": { "alias": "kebabColumnWidth"; "required": false; }; "preSelected": { "alias": "preSelected"; "required": false; }; "ignoreColumnCellClick": { "alias": "ignoreColumnCellClick"; "required": false; }; "allowColumnClick": { "alias": "allowColumnClick"; "required": false; }; "expandRowIndex": { "alias": "expandRowIndex"; "required": false; }; "customExpandRowColumn": { "alias": "customExpandRowColumn"; "required": false; }; }, { "selectedRowData": "selectedRowData"; "rowDetails": "rowDetails"; "kebabItemClick": "kebabItemClick"; "rowDataOfClickedCell": "rowDataOfClickedCell"; }, ["templateRef", "detailTemplate", "impactColumn"], ["*"], false, never>;
}
